<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CreateListEx Method (IEdmBatchListing2)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchListing2 Interface : CreateListEx Method (IEdmBatchListing2)

Visual Basic
C#
C++/CLI

bsColumnSetName
  Empty string, one of the set names returned by IEdmBatchListing::GetColumnSetNames, or a list of variable names separated by newline characters and starting with a newline character (e.g., "\nAuthor\nProject\nDate")

lEdmCreateListExFlags
  Combination of EdmCreateListExFlags bits

ppoColumns
  Array of EdmListCol structures; one structure for each column in the column set

poAux
  Reserved for future use

Creates a listing of the properties of the files and folders that were added to the batch using IEdmBatchListing::AddFile, IEdmBatchListing::AddFolder, and IEdmBatchListing2::AddFileCfg.

# Syntax

Visual Basic |
--- | ---

    Sub CreateListEx( _
       ByVal bsColumnSetName As System.String, _
       ByVal lEdmCreateListExFlags As System.Integer, _
       ByRef ppoColumns() As EdmListCol, _
       Optional ByVal poAux As System.Object _
    )

C# |
--- | ---

    void CreateListEx(
       System.string bsColumnSetName,
       System.int lEdmCreateListExFlags,
       out EdmListCol[] ppoColumns,
       System.object poAux
    )

C++/CLI |
--- | ---

    void CreateListEx(
    &   System.String^ bsColumnSetName,
    &   System.int lEdmCreateListExFlags,
    &   [Out] array<EdmListCol>^ ppoColumns,
    &   System.Object^ poAux
    )

#### Parameters

bsColumnSetName
  Empty string, one of the set names returned by IEdmBatchListing::GetColumnSetNames, or a list of variable names separated by newline characters and starting with a newline character (e.g., "\nAuthor\nProject\nDate")
lEdmCreateListExFlags
  Combination of EdmCreateListExFlags bits
ppoColumns
  Array of EdmListCol structures; one structure for each column in the column set
poAux
  Reserved for future use

# Example

Get File References for a File (C#)
Get File References for a File (VB.NET)

# Remarks

This method extends IEdmBatchListing::CreateList by adding the ability to configure from where the file variables are read.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchListing2 Interface
IEdmBatchListing2 Members

# Availability

SOLIDWORKS PDM Professional 2009